@echo off

 rem MAYA 2020

 rem --- Path ---
set "SOFTWARE_PATH=\\SERVER\pipeline\Maya"
set "VRAY_PATH=\\SERVER\pipeline\Vray\vray_adv_43002_maya2020_x64"
set "PHOENIX_PATH=\\SERVER\pipeline\PhoenixFD\phoenixFD_adv_41000_maya2020_vray4_x64"
set "VRAYSCATTER_PATH=\\SERVER\pipeline\VrayScatter\VrayScatter4604_Maya2020_VRayNext"

set "MAYA_VERSION=2020"

 rem ---Shelf ---
set "MAYA_SHELF_PATH=%SOFTWARE_PATH%\%MAYA_VERSION%\shelves"

 rem ---Icons ---
set "XBMLANGPATH=%SOFTWARE_PATH%\icons;%VRAY_PATH%\maya_vray\icons;%PHOENIX_PATH%\maya_phoenix\icons"

 rem ---Scripts ---
set "MAYA_SCRIPT_PATH=%SOFTWARE_PATH%\scripts;%VRAY_PATH%\maya_vray\scripts;%SOFTWARE_PATH%\%MAYA_VERSION%\scripts;%PHOENIX_PATH%\maya_phoenix\scripts"

 rem ---Python ---
set "PYTHONPATH=%VRAY_PATH%\maya_vray\scripts;%SOFTWARE_PATH%\scripts;%SOFTWARE_PATH%\%MAYA_VERSION%\scripts"

 rem ---Plugins ---
set "MAYA_PLUG_IN_PATH=%SOFTWARE_PATH%\plugins;%SOFTWARE_PATH%\%MAYA_VERSION%\plugins;%VRAY_PATH%\maya_vray\plug-ins;%PHOENIX_PATH%\maya_phoenix\plug-ins"

 rem --- Modules ---
set "MAYA_MODULE_PATH=%SOFTWARE_PATH%\modules;%VRAYSCATTER_PATH%\modules"

 rem ---V-Ray ---
set "MAYA_RENDER_DESC_PATH=%VRAY_PATH%\maya_root\bin\rendererDesc"
set "VRAY_FOR_MAYA2020_MAIN=%VRAY_PATH%\maya_vray"
set "VRAY_FOR_MAYA2020_PLUGINS=%VRAY_PATH%\maya_vray\vrayplugins;%PHOENIX_PATH%\maya_vray\vrayplugins"
set "VRAY_OSL_PATH_MAYA2020=%VRAY_PATH%\vray\opensl"
set "VRAY_PLUGINS=%VRAY_PATH%\maya_vray\vrayplugins;%PHOENIX_PATH%\maya_vray\vrayplugins;%VRAYSCATTER_PATH%\vrayplugins"

 rem ---PhoenixFD ---
set "PHX_FOR_MAYA2020_MAIN=%PHOENIX_PATH%\maya_phoenix"

 rem --- Call Maya ---
set "MAYA_DIR=%PROGRAMFILES%\Autodesk\Maya%MAYA_VERSION%"
set "PATH=%MAYA_DIR%\bin;%VRAY_PATH%\maya_root\bin;%PATH%"
start maya

exit